> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve a rate plan

GET https://rest.test.zuora.com/v1/rateplans/{ratePlanId}

Retrieves the detailed information about a specific subscription rate plan.

* If you have the Orders
  feature enabled, this operation retrieves information about a subscription rate
  plan and the related order that has amended the rate plan.

* If you have the Orders Harmonization
  feature enabled, this operation retrieves information about a subscription rate plan and the related order and amendment that have amended the rate plan.
  The returned objects may be different since amendment, order, and order action are generated asynchronously.
  * If all are generated, the related amendment and order, including the order action, are returned.
  * If not, only the related amendment may be returned before generating the order and order action.

* If you are an existing Zuora Subscribe and Amend customer, this operation retrieves
  information about a subscription rate plan and the related amendment that has
  amended the rate plan.

**Note:** Orders is now generally available as of Zuora Billing Release 284 (August
2020\). If you are an existing Zuora Subscribe and Amend customer and want to adopt
Orders, see What is Orders Harmonization
and join the Orders Harmonization community group
for more information. If you want to enable Orders, submit a request at Zuora
Global Support.

**Note:** You can only retrieve information about the following order actions:

* `addProduct`
* `updateProduct`
* `removeProduct`
* `changePlan`

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/orders-and-subscriptions/rate-plans/get-rate-plan

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `ratePlanId` (string, required) — The ID of the subscription rate plan to be retrieved.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of GetOrderActionRatePlanResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.
- `amendment` (OrderActionRatePlanAmendment, optional) — The amendment that is related to the subscription rate plan.
- `externallyManagedPlanId` (string, optional) — The unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores.
- `id` (string, optional) — Unique subscription rate-plan ID.
- `lastChangeType` (string, optional) — Latest change type. Possible values are: - New - Update - Remove
- `order` (OrderActionRatePlanOrder, optional) — The order that is related to the subscription rate plan.
- `productId` (string, optional) — Product ID
- `productName` (string, optional) — The name of the product.
- `productRatePlanId` (string, optional) — Product rate plan ID
- `productSku` (string, optional) — The unique SKU for the product.
- `ratePlanName` (string, optional) — The name of the rate plan.
- `subscriptionId` (string, optional) — Subscription ID.
- `subscriptionVersion` (any, optional) — The version of the subscription.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GetOrderActionRatePlanResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### OrderActionRatePlanAmendment

The amendment that is related to the subscription rate plan.

- `code` (string, optional) — The amendment code.
- `contractEffectiveDate` (date, optional) — The date when the amendment becomes effective for billing purposes, as `yyyy-mm-dd`.
- `createdBy` (string, optional) — The ID of the user who created this amendment.
- `createdDate` (string, optional) — The time that the amendment gets created in the system, in the `YYYY-MM-DD HH:MM:SS` format.
- `customerAcceptanceDate` (date, optional) — The date when the customer accepts the amendment changes to the subscription, as `yyyy-mm-dd`.
- `description` (string, optional) — Description of the amendment.
- `effectiveDate` (date, optional) — The date when the amendment changes take effective.
- `id` (string, optional) — The amendment ID.
- `name` (string, optional) — The name of the amendment.
- `serviceActivationDate` (date, optional) — The date when service is activated, as `yyyy-mm-dd`.
- `type` (string, optional) — Type of the amendment. Possible values are: - NewProduct - RemoveProduct - UpdateProduct
- `updatedBy` (string, optional) — The ID of the user who updated this amendment.
- `updatedDate` (string, optional) — The time that the amendment gets updated in the system, in the `YYYY-MM-DD HH:MM:SS` format.
- `customFields` (map from string to any, optional) — Container for custom fields of an Amendment object.

### OrderActionRatePlanOrder

The order that is related to the subscription rate plan.

- `id` (string, optional) — The order ID.
- `orderActions` (list of OrderActionRatePlanOrderAction, optional)
- `orderNumber` (string, optional) — The order number of the order.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### OrderActionRatePlanOrderAction

Represents the processed order action.

- `addProduct` (OrderActionRatePlanRatePlanOverride, optional) — Rate plan associated with a subscription.
- `id` (string, optional) — The Id of the order action processed in the order.
- `removeProduct` (OrderActionRatePlanRemoveProduct, optional) — Information about an order action of type `RemoveProduct`.
- `type` (enum, optional) — Type of the order action.
  - Allowed values: `AddProduct`, `UpdateProduct`, `RemoveProduct`
- `updateProduct` (OrderActionRatePlanRatePlanUpdate, optional) — Information about an order action of type `UpdateProduct`.
- `customFields` (map from string to any, optional) — Container for custom fields of an Order Action object.

### OrderActionRatePlanRatePlanOverride

Rate plan associated with a subscription.

- `productRatePlanId` (string, required) — Internal identifier of the product rate plan that the rate plan is based on.
- `chargeOverrides` (list of OrderActionRatePlanChargeOverride, optional) — List of charges associated with the rate plan.
- `customFields` (map from string to any, optional) — Container for custom fields of a Rate Plan object.
- `newRatePlanId` (string, optional) — Internal identifier of the rate plan.
- `uniqueToken` (string, optional) — Unique identifier for the rate plan. This identifier enables you to refer to the rate plan before the rate plan has an internal identifier in Zuora. For instance, suppose that you want to use a single order to add a product to a subscription and later update the same product. When you add the product, you can set a unique identifier for the rate plan. Then when you update the product, you can use the same unique identifier to specify which rate plan to modify.

### OrderActionRatePlanRemoveProduct

Information about an order action of type `RemoveProduct`.

- `ratePlanId` (string, optional) — Internal identifier of the rate plan to remove.
- `uniqueToken` (string, optional) — A unique string to represent the rate plan charge in the order. The unique token is used to perform multiple actions against a newly added rate plan. For example, if you want to add and update a product in the same order, you would assign a unique token to the product rate plan when added and use that token in future order actions.A unique string in the order to represent the rate plan.

### OrderActionRatePlanRatePlanUpdate

Information about an order action of type `UpdateProduct`.

- `chargeUpdates` (list of OrderActionRatePlanChargeUpdate, optional)
- `customFields` (map from string to any, optional) — Container for custom fields of a Rate Plan object.
- `newRatePlanId` (string, optional) — Internal identifier of the updated rate plan in the new subscription version.
- `ratePlanId` (string, optional) — Internal identifier of the rate plan that was updated.
- `specificUpdateDate` (date, optional) — The specific date when the Update Product order action takes effect. This field allows you to update a charge before a future-dated Update Product order action on the subscription. The format of the date is yyyy-mm-dd. **Note**: After you use this option, the charge's `TriggerEvent` field value will be changed to `SpecificDate`. See [Update a Product on Subscription with Future-dated Updates](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AC_Orders_Tutorials/C_Update_a_Product_in_a_Subscription/Update_a_Product_on_Subscription_with_Future-dated_Updates) for more information about this feature.
- `uniqueToken` (string, optional) — A unique string to represent the rate plan charge in the order. The unique token is used to perform multiple actions against a newly added rate plan. For example, if you want to add and update a product in the same order, you would assign a unique token to the product rate plan when added and use that token in future order actions.

### OrderActionRatePlanChargeOverride

Charge associated with a rate plan.

- `productRatePlanChargeId` (string, required) — Internal identifier of the product rate plan charge that the charge is based on.
- `billing` (OrderActionRatePlanChargeOverrideBilling, optional) — Billing information about the charge.
- `chargeNumber` (string, optional) — Charge number of the charge. For example, C-00000307. If you do not set this field, Zuora will generate the charge number.
- `customFields` (map from string to any, optional) — Container for custom fields of a Rate Plan Charge object.
- `description` (string, optional) — Description of the charge.
- `endDate` (OrderActionRatePlanEndConditions, optional) — Specifies when a charge becomes inactive.
- `pricing` (OrderActionRatePlanChargeOverridePricing, optional) — Pricing information about the charge.
- `revRecCode` (string, optional) — Revenue Recognition Code
- `revRecTriggerCondition` (enum, optional) — Specifies the revenue recognition trigger condition. * `Contract Effective Date` * `Service Activation Date` * `Customer Acceptance Date`
  - Allowed values: `Contract Effective Date`, `Service Activation Date`, `Customer Acceptance Date`
- `revenueRecognitionRuleName` (enum, optional) — Specifies the revenue recognition rule. * `Recognize upon invoicing` * `Recognize daily over time`
  - Allowed values: `Recognize upon invoicing`, `Recognize daily over time`
- `startDate` (OrderActionRatePlanTriggerParams, optional) — Specifies when a charge becomes active.
- `uniqueToken` (string, optional) — Unique identifier for the charge. This identifier enables you to refer to the charge before the charge has an internal identifier in Zuora. For instance, suppose that you want to use a single order to add a product to a subscription and later update the same product. When you add the product, you can set a unique identifier for the charge. Then when you update the product, you can use the same unique identifier to specify which charge to modify.

### OrderActionRatePlanChargeUpdate

The JSON object containing the information for a charge update in the 'UpdateProduct' type order action.

- `billing` (OrderActionRatePlanBillingUpdate, optional) — Billing information about the charge.
- `chargeNumber` (string, optional) — Read only. Identifies the charge to be updated.
- `customFields` (map from string to any, optional) — Container for custom fields of a Rate Plan Charge object.
- `description` (string, optional) — Description of the charge.
- `effectiveDate` (OrderActionRatePlanTriggerParams, optional) — Specifies when a charge becomes active.
- `pricing` (OrderActionRatePlanPricingUpdate, optional) — Pricing information about the charge.
- `uniqueToken` (string, optional) — A unique string to represent the rate plan charge in the order. The unique token is used to perform multiple actions against a newly added rate plan. For example, if you want to add and update a product in the same order, you would assign a unique token to the product rate plan when added and use that token in future order actions.

### OrderActionRatePlanChargeOverrideBilling

Billing information about the charge.

- `billCycleDay` (integer, optional) — Day of the month that each billing period begins on. Only applicable if the value of the `billCycleType` field is `SpecificDayofMonth`.
- `billCycleType` (enum, optional) — Specifies how Zuora determines the day that each billing period begins on. * `DefaultFromCustomer` - Each billing period begins on the bill cycle day of the account that owns the subscription. * `SpecificDayofMonth` - Use the `billCycleDay` field to specify the day of the month that each billing period begins on. * `SubscriptionStartDay` - Each billing period begins on the same day of the month as the start date of the subscription. * `ChargeTriggerDay` - Each billing period begins on the same day of the month as the date when the charge becomes active. * `SpecificDayofWeek` - Use the `weeklyBillCycleDay` field to specify the day of the week that each billing period begins on.
  - Allowed values: `DefaultFromCustomer`, `SpecificDayofMonth`, `SubscriptionStartDay`, `ChargeTriggerDay`, `SpecificDayofWeek`
- `billingPeriod` (enum, optional) — Billing frequency of the charge. The value of this field controls the duration of each billing period. If the value of this field is `Specific_Months` or `Specific_Weeks`, use the `specificBillingPeriod` field to specify the duration of each billing period.
  - Allowed values: `Month`, `Quarter`, `Semi_Annual`, `Annual`, `Eighteen_Months`, `Two_Years`, `Three_Years`, `Five_Years`, `Specific_Months`, `Subscription_Term`, `Week`, `Specific_Weeks`
- `billingPeriodAlignment` (enum, optional) — Specifies how Zuora determines when to start new billing periods. You can use this field to align the billing periods of different charges. * `AlignToCharge` - Zuora starts a new billing period on the first billing day that falls on or after the date when the charge becomes active. * `AlignToSubscriptionStart` - Zuora starts a new billing period on the first billing day that falls on or after the start date of the subscription. * `AlignToTermStart` - For each term of the subscription, Zuora starts a new billing period on the first billing day that falls on or after the start date of the term. See the `billCycleType` field for information about how Zuora determines the billing day. **Note**: This field is not supported in one time charges.
  - Allowed values: `AlignToCharge`, `AlignToSubscriptionStart`, `AlignToTermStart`
- `billingTiming` (enum, optional) — Specifies whether to invoice for a billing period on the first day of the billing period (billing in advance) or the first day of the next billing period (billing in arrears).
  - Allowed values: `IN_ADVANCE`, `IN_ARREARS`
- `specificBillingPeriod` (integer, optional) — Duration of each billing period in months or weeks, depending on the value of the `billingPeriod` field. Only applicable if the value of the `billingPeriod` field is `Specific_Months` or `Specific_Weeks`.
- `weeklyBillCycleDay` (enum, optional) — Day of the week that each billing period begins on. Only applicable if the value of the `billCycleType` field is `SpecificDayofWeek`.
  - Allowed values: `Sunday`, `Monday`, `Tuesday`, `Wednesday`, `Thursday`, `Friday`, `Saturday`

### OrderActionRatePlanEndConditions

Specifies when a charge becomes inactive.

- `endDateCondition` (enum, optional) — Condition for the charge to become inactive. If the value of this field is `Fixed_Period`, the charge is active for a predefined duration based on the value of the `upToPeriodsType` and `upToPeriods` fields. If the value of this field is `Specific_End_Date`, use the `specificEndDate` field to specify the date when then charge becomes inactive.
  - Allowed values: `Subscription_End`, `Fixed_Period`, `Specific_End_Date`
- `specificEndDate` (date, optional) — Date in YYYY-MM-DD format. Only applicable if the value of the `endDateCondition` field is `Specific_End_Date`.
- `upToPeriods` (integer, optional) — Duration of the charge in billing periods, days, weeks, months, or years, depending on the value of the `upToPeriodsType` field. Only applicable if the value of the `endDateCondition` field is `Fixed_Period`.
- `upToPeriodsType` (enum, optional) — Unit of time that the charge duration is measured in. Only applicable if the value of the `endDateCondition` field is `Fixed_Period`.
  - Allowed values: `Billing_Periods`, `Days`, `Weeks`, `Months`, `Years`

### OrderActionRatePlanChargeOverridePricing

Pricing information about the charge.

- `chargeModelData` (OrderActionRatePlanChargeModelDataOverride, optional) — Container for charge model configuration data. **Note**: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. The charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.
- `discount` (OrderActionRatePlanDiscountPricingOverride, optional) — Pricing information about a discount charge.
- `oneTimeFlatFee` (OrderActionRatePlanOneTimeFlatFeePricingOverride, optional) — Pricing information about a one-time charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.
- `oneTimePerUnit` (OrderActionRatePlanOneTimePerUnitPricingOverride, optional) — Pricing information about a one-time charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased.
- `oneTimeTiered` (OrderActionRatePlanOneTimeTieredPricingOverride, optional) — Pricing information about a one-time charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased.
- `oneTimeVolume` (OrderActionRatePlanOneTimeVolumePricingOverride, optional) — Pricing information about a one-time charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased.
- `recurringDelivery` (OrderActionRatePlanRecurringDeliveryPricingOverride, optional) — Pricing information about a recurring charge that uses the Delivery Pricing charge model. In this charge model, the charge has a fixed price. This field is only available if you have the Delivery Pricing charge model enabled.
- `recurringFlatFee` (OrderActionRatePlanRecurringFlatFeePricingOverride, optional) — Pricing information about a recurring charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.
- `recurringPerUnit` (OrderActionRatePlanRecurringPerUnitPricingOverride, optional) — Pricing information about a recurring charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased.
- `recurringTiered` (OrderActionRatePlanRecurringTieredPricingOverride, optional) — Pricing information about a recurring charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased.
- `recurringVolume` (OrderActionRatePlanRecurringVolumePricingOverride, optional) — Pricing information about a recurring charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased.
- `usageFlatFee` (OrderActionRatePlanUsageFlatFeePricingOverride, optional) — Pricing information about a usage charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.
- `usageOverage` (OrderActionRatePlanUsageOveragePricingOverride, optional) — Pricing information about a usage charge that uses the "overage" charge model. In this charge model, the charge has an allowance of free units and a fixed price per additional unit consumed.
- `usagePerUnit` (OrderActionRatePlanUsagePerUnitPricingOverride, optional) — Pricing information about a usage charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit consumed.
- `usageTiered` (OrderActionRatePlanUsageTieredPricingOverride, optional) — Pricing information about a usage charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed.
- `usageTieredWithOverage` (OrderActionRatePlanUsageTieredWithOveragePricingOverride, optional) — Pricing information about a usage charge that uses the "tiered with overage" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed. The charge also has a fixed price per unit consumed beyond the limit of the final tier.
- `usageVolume` (OrderActionRatePlanUsageVolumePricingOverride, optional) — Pricing information about a usage charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are consumed.

### OrderActionRatePlanTriggerParams

Specifies when a charge becomes active.

- `specificTriggerDate` (date, optional) — Date in YYYY-MM-DD format. Only applicable if the value of the `triggerEvent` field is `SpecificDate`. While this field is applicable, if this field is not set, your `CreateSubscription` order action creates a `Pending` order and a `Pending Acceptance` subscription. If at the same time the service activation date is required and not set, a `Pending Activation` subscription is created. While this field is applicable, if this field is not set, the following order actions create a `Pending` order but do not impact the subscription status. **Note**: This feature is in **Limited Availability**. If you want to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). * AddProduct * UpdateProduct * RemoveProduct * RenewSubscription * TermsAndConditions
- `triggerEvent` (enum, optional) — Condition for the charge to become active. If the value of this field is `SpecificDate`, use the `specificTriggerDate` field to specify the date when the charge becomes active.
  - Allowed values: `ContractEffective`, `ServiceActivation`, `CustomerAcceptance`

### OrderActionRatePlanBillingUpdate

- `billingPeriodAlignment` (enum, optional)
  - Allowed values: `AlignToCharge`, `AlignToSubscriptionStart`, `AlignToTermStart`

### OrderActionRatePlanPricingUpdate

- `chargeModelData` (OrderActionRatePlanChargeModelDataOverride, optional) — Container for charge model configuration data.
- `discount` (OrderActionRatePlanDiscountPricingUpdate, optional) — Pricing information about a discount charge.
- `recurringDelivery` (OrderActionRatePlanRecurringDeliveryPricingUpdate, optional) — Pricing information about a recurring charge that uses the Delivery Pricing charge model. In this charge model, the charge has a fixed price. This field is only available if you have the Delivery Pricing charge model enabled.
- `recurringFlatFee` (OrderActionRatePlanRecurringFlatFeePricingUpdate, optional) — Pricing information about a recurring charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.
- `recurringPerUnit` (OrderActionRatePlanRecurringPerUnitPricingUpdate, optional) — Pricing information about a recurring charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased.
- `recurringTiered` (OrderActionRatePlanRecurringTieredPricingUpdate, optional) — Pricing information about a recurring charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased.
- `recurringVolume` (OrderActionRatePlanRecurringVolumePricingUpdate, optional) — Pricing information about a recurring charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased.
- `usageFlatFee` (OrderActionRatePlanUsageFlatFeePricingUpdate, optional) — Pricing information about a usage charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.
- `usageOverage` (OrderActionRatePlanUsageOveragePricingUpdate, optional) — Pricing information about a usage charge that uses the "overage" charge model. In this charge model, the charge has an allowance of free units and a fixed price per additional unit consumed.
- `usagePerUnit` (OrderActionRatePlanUsagePerUnitPricingUpdate, optional) — Pricing information about a usage charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit consumed.
- `usageTiered` (OrderActionRatePlanUsageTieredPricingUpdate, optional) — Pricing information about a usage charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed.
- `usageTieredWithOverage` (OrderActionRatePlanUsageTieredWithOveragePricingUpdate, optional) — Pricing information about a usage charge that uses the "tiered with overage" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed. The charge also has a fixed price per unit consumed beyond the limit of the final tier.
- `usageVolume` (OrderActionRatePlanUsageVolumePricingUpdate, optional) — Pricing information about a usage charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are consumed.

### OrderActionRatePlanChargeModelDataOverride

Container for charge model configuration data. **Note**: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. The charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.

- `chargeModelConfiguration` (OrderActionRatePlanChargeModelDataOverrideChargeModelConfiguration, optional)
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of cumulative pricing tiers in the charge. **Note**: When you override tiers of the charge with a High Water Mark Pricing charge model, you have to provide all of the tiers, including the ones you do not want to change. The new tiers will completely override the previous ones. The High Water Mark Pricing charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.

### OrderActionRatePlanDiscountPricingOverride

Pricing information about a discount charge.

- `applyDiscountTo` (enum, optional) — Specifies which type of charge the discount charge applies to.
  - Allowed values: `ONETIME`, `RECURRING`, `USAGE`, `ONETIMERECURRING`, `ONETIMEUSAGE`, `RECURRINGUSAGE`, `ONETIMERECURRINGUSAGE`
- `discountAmount` (double, optional) — Only applicable if the discount charge is a fixed-amount discount.
- `discountLevel` (enum, optional) — Application scope of the discount charge. For example, if the value of this field is `subscription` and the value of the `applyDiscountTo` field is `RECURRING`, the discount charge applies to all recurring charges in the same subscription as the discount charge.
  - Allowed values: `rateplan`, `subscription`, `account`
- `discountPercentage` (double, optional) — Only applicable if the discount charge is a percentage discount.
- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews.
  - Allowed values: `NoChange`, `UseLatestProductCatalogPricing`

### OrderActionRatePlanOneTimeFlatFeePricingOverride

Pricing information about a one-time charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.

- `listPrice` (double, required) — Price of the charge.

### OrderActionRatePlanOneTimePerUnitPricingOverride

Pricing information about a one-time charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased.

- `listPrice` (double, optional) — Per-unit price of the charge.
- `quantity` (double, optional) — Number of units purchased.

### OrderActionRatePlanOneTimeTieredPricingOverride

Pricing information about a one-time charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased.

- `quantity` (double, optional) — Number of units purchased.
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of cumulative pricing tiers in the charge.

### OrderActionRatePlanOneTimeVolumePricingOverride

Pricing information about a one-time charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased.

- `quantity` (double, optional) — Number of units purchased.
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of variable pricing tiers in the charge.

### OrderActionRatePlanRecurringDeliveryPricingOverride

Pricing information about a recurring charge that uses the Delivery Pricing charge model. In this charge model, the charge has a fixed price. This field is only available if you have the Delivery Pricing charge model enabled.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `deliverySchedule` (DeliveryScheduleParams, optional)
- `listPrice` (double, optional) — Price of the charge in each recurring period.

### OrderActionRatePlanRecurringFlatFeePricingOverride

Pricing information about a recurring charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional) — Price of the charge in each recurring period.
- `listPriceBase` (enum, optional) — Specifies the duration of each recurring period.
  - Allowed values: `Per_Billing_Period`, `Per_Month`, `Per_Week`, `Per_Year`, `Per_Specific_Months`
- `specificListPriceBase` (integer, optional) — The number of months for the list price base of the charge. The value of this field is `null` if you do not set the value of the `listPriceBase` field to `Per_Specific_Months`.

### OrderActionRatePlanRecurringPerUnitPricingOverride

Pricing information about a recurring charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit purchased.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional) — Per-unit price of the charge in each recurring period.
- `listPriceBase` (enum, optional) — Specifies the duration of each recurring period. **Note**: The `Per_Year` and `Per_Specific_Months` enum values are available only if you have the Annual List Price feature enabled.
  - Allowed values: `Per_Billing_Period`, `Per_Month`, `Per_Week`, `Per_Year`, `Per_Specific_Months`
- `quantity` (double, optional) — Number of units purchased.
- `specificListPriceBase` (integer, optional) — The number of months for the list price base of the charge. This field is required if you set the value of the `listPriceBase` field to `Per_Specific_Months`.

### OrderActionRatePlanRecurringTieredPricingOverride

Pricing information about a recurring charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are purchased.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPriceBase` (enum, optional) — Specifies the duration of each recurring period.
  - Allowed values: `Per_Billing_Period`, `Per_Month`, `Per_Week`, `Per_Year`, `Per_Specific_Months`
- `quantity` (double, optional) — Number of units purchased.
- `specificListPriceBase` (integer, optional) — The number of months for the list price base of the charge. This field is required if you set the value of the `listPriceBase` field to `Per_Specific_Months`.
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of cumulative pricing tiers in the charge.

### OrderActionRatePlanRecurringVolumePricingOverride

Pricing information about a recurring charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are purchased.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPriceBase` (enum, optional) — Specifies the duration of each recurring period. **Note**: The `Per_Year` and `Per_Specific_Months` enum values are available only if you have the Annual List Price feature enabled.
  - Allowed values: `Per_Billing_Period`, `Per_Month`, `Per_Week`, `Per_Year`, `Per_Specific_Months`
- `quantity` (double, optional) — Number of units purchased.
- `specificListPriceBase` (integer, optional) — The number of months for the list price base of the charge. This field is required if you set the value of the `listPriceBase` field to `Per_Specific_Months`.
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of variable pricing tiers in the charge.

### OrderActionRatePlanUsageFlatFeePricingOverride

Pricing information about a usage charge that uses the "flat fee" charge model. In this charge model, the charge has a fixed price.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional) — Price of the charge.

### OrderActionRatePlanUsageOveragePricingOverride

Pricing information about a usage charge that uses the "overage" charge model. In this charge model, the charge has an allowance of free units and a fixed price per additional unit consumed.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `includedUnits` (double, optional) — Number of free units that may be consumed.
- `numberOfPeriods` (integer, optional) — Number of periods that Zuora considers when calculating overage charges with overage smoothing.
- `overagePrice` (double, optional) — Price per overage unit consumed.
- `overageUnusedUnitsCreditOption` (enum, optional) — Specifies whether to credit the customer for unused units. If the value of this field is `CreditBySpecificRate`, use the `unusedUnitsCreditRates` field to specify the rate at which to credit the customer for unused units.
  - Allowed values: `NoCredit`, `CreditBySpecificRate`
- `unusedUnitsCreditRates` (double, optional) — Per-unit rate at which to credit the customer for unused units. Only applicable if the value of the `overageUnusedUnitsCreditOption` field is `CreditBySpecificRate`.

### OrderActionRatePlanUsagePerUnitPricingOverride

Pricing information about a usage charge that uses the "per unit" charge model. In this charge model, the charge has a fixed price per unit consumed.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional) — Per-unit price of the charge.
- `ratingGroup` (enum, optional) — Specifies how Zuora groups usage records when rating usage. See [Usage Rating by Group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group) for more information. * ByBillingPeriod (default): The rating is based on all the usages in a billing period. * ByUsageStartDate: The rating is based on all the usages on the same usage start date. * ByUsageRecord: The rating is based on each usage record. * ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). If you import a mass usage in a single upload, which contains multiple usage files in .xls or .csv format, usage records are grouped for each usage file.
  - Allowed values: `ByBillingPeriod`, `ByUsageStartDate`, `ByUsageRecord`, `ByUsageUpload`

### OrderActionRatePlanUsageTieredPricingOverride

Pricing information about a usage charge that uses the "tiered pricing" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `ratingGroup` (enum, optional) — Specifies how Zuora groups usage records when rating usage. See [Usage Rating by Group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group) for more information. * ByBillingPeriod (default): The rating is based on all the usages in a billing period. * ByUsageStartDate: The rating is based on all the usages on the same usage start date. * ByUsageRecord: The rating is based on each usage record. * ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). If you import a mass usage in a single upload, which contains multiple usage files in .xls or .csv format, usage records are grouped for each usage file.
  - Allowed values: `ByBillingPeriod`, `ByUsageStartDate`, `ByUsageRecord`, `ByUsageUpload`
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of cumulative pricing tiers in the charge.

### OrderActionRatePlanUsageTieredWithOveragePricingOverride

Pricing information about a usage charge that uses the "tiered with overage" charge model. In this charge model, the charge has cumulative pricing tiers that become effective as units are consumed. The charge also has a fixed price per unit consumed beyond the limit of the final tier.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `numberOfPeriods` (integer, optional) — Number of periods that Zuora considers when calculating overage charges with overage smoothing.
- `overagePrice` (double, optional) — Price per overage unit consumed.
- `overageUnusedUnitsCreditOption` (enum, optional) — Specifies whether to credit the customer for unused units. If the value of this field is `CreditBySpecificRate`, use the `unusedUnitsCreditRates` field to specify the rate at which to credit the customer for unused units.
  - Allowed values: `NoCredit`, `CreditBySpecificRate`
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of cumulative pricing tiers in the charge.
- `unusedUnitsCreditRates` (double, optional) — Per-unit rate at which to credit the customer for unused units. Only applicable if the value of the `overageUnusedUnitsCreditOption` field is `CreditBySpecificRate`.

### OrderActionRatePlanUsageVolumePricingOverride

Pricing information about a usage charge that uses the "volume pricing" charge model. In this charge model, the charge has a variable price per unit, depending on how many units are consumed.

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `ratingGroup` (enum, optional) — Specifies how Zuora groups usage records when rating usage. See [Usage Rating by Group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group) for more information. * ByBillingPeriod (default): The rating is based on all the usages in a billing period. * ByUsageStartDate: The rating is based on all the usages on the same usage start date. * ByUsageRecord: The rating is based on each usage record. * ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). If you import a mass usage in a single upload, which contains multiple usage files in .xls or .csv format, usage records are grouped for each usage file.
  - Allowed values: `ByBillingPeriod`, `ByUsageStartDate`, `ByUsageRecord`, `ByUsageUpload`
- `tiers` (list of OrderActionRatePlanChargeTier, optional) — List of variable pricing tiers in the charge.

### OrderActionRatePlanDiscountPricingUpdate

- `applyDiscountTo` (enum, optional) — Specifies which type of charge the discount charge applies to.
  - Allowed values: `ONETIME`, `RECURRING`, `USAGE`, `ONETIMERECURRING`, `ONETIMEUSAGE`, `RECURRINGUSAGE`, `ONETIMERECURRINGUSAGE`
- `discountLevel` (enum, optional) — Application scope of the discount charge. For example, if the value of this field is `subscription` and the value of the `applyDiscountTo` field is `RECURRING`, the discount charge applies to all recurring charges in the same subscription as the discount charge.
  - Allowed values: `rateplan`, `subscription`, `account`
- `discountPercentage` (double, optional) — The amount of the discount as a percentage. This field is only used for percentage discounts.
- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews.
  - Allowed values: `NoChange`, `UseLatestProductCatalogPricing`

### OrderActionRatePlanRecurringDeliveryPricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `deliverySchedule` (DeliveryScheduleParams, optional)
- `listPrice` (double, optional)

### OrderActionRatePlanRecurringFlatFeePricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional)

### OrderActionRatePlanRecurringPerUnitPricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional)
- `quantity` (double, optional)

### OrderActionRatePlanRecurringTieredPricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `quantity` (double, optional)
- `tiers` (list of OrderActionRatePlanChargeTier, optional)

### OrderActionRatePlanRecurringVolumePricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `quantity` (double, optional)
- `tiers` (list of OrderActionRatePlanChargeTier, optional)

### OrderActionRatePlanUsageFlatFeePricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional)

### OrderActionRatePlanUsageOveragePricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `includedUnits` (double, optional) — A certain quantity of units for free in the overage charge model. It cannot be negative. It must be 0 and above. Decimals are allowed.
- `overagePrice` (double, optional)

### OrderActionRatePlanUsagePerUnitPricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `listPrice` (double, optional)

### OrderActionRatePlanUsageTieredPricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `tiers` (list of OrderActionRatePlanChargeTier, optional)

### OrderActionRatePlanUsageTieredWithOveragePricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `overagePrice` (double, optional)
- `tiers` (list of OrderActionRatePlanChargeTier, optional)

### OrderActionRatePlanUsageVolumePricingUpdate

- `priceChangeOption` (enum, optional) — Specifies how Zuora changes the price of the charge each time the subscription renews. If the value of this field is `SpecificPercentageValue`, use the `priceIncreasePercentage` field to specify how much the price of the charge should change.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `priceIncreasePercentage` (double, optional) — Specifies the percentage by which the price of the charge should change each time the subscription renews. Only applicable if the value of the `priceChangeOption` field is `SpecificPercentageValue`.
- `tiers` (list of OrderActionRatePlanChargeTier, optional)

### OrderActionRatePlanChargeModelDataOverrideChargeModelConfiguration

- `customFieldPerUnitRate` (string, optional) — The custom field that carries the per-unit rate for each usage record. For example, `perUnitAmount__c`. This field is only available for the usage-based charges that use the Pre-Rated Per Unit Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.
- `customFieldTotalAmount` (string, optional) — The custom field that carries the total amount to charge for a usage record. For example, `totalAmount__c`. This field is only available for the usage-based charges that use the Pre-Rated Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.
- `formula` (string, optional) — The pricing formula to calculate actual rating amount for each usage record. This field is only available for the usage-based charges that use the Multi-Attribute Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information.

### OrderActionRatePlanChargeTier

- `price` (double, required) — Price or per-unit price of the tier, depending on the value of the `priceFormat` field.
- `priceFormat` (enum, required) — Specifies whether the tier has a fixed price or a per-unit price.
  - Allowed values: `FlatFee`, `PerUnit`
- `startingUnit` (double, required) — Number of units at which the tier becomes effective.
- `tier` (integer, required) — Index of the tier in the charge.
- `endingUnit` (double, optional) — Limit on the number of units for which the tier is effective.

### DeliveryScheduleParams

- `frequency` (enum, optional) — Specifies the frequency for delivery schedule
  - Allowed values: `Weekly`
- `friday` (boolean, optional) — Indicates whether delivery on friday.
- `monday` (boolean, optional) — Indicates whether delivery on monday.
- `saturday` (boolean, optional) — Indicates whether delivery on saturday.
- `sunday` (boolean, optional) — Indicates whether delivery on sunday.
- `thursday` (boolean, optional) — Indicates whether delivery on thursday.
- `tuesday` (boolean, optional) — Indicates whether delivery on tuesday.
- `wednesday` (boolean, optional) — Indicates whether delivery on wednesday.

## Examples

**Response**

```json
{
  "success": true,
  "amendment": {
    "code": "A-AM00000047",
    "contractEffectiveDate": "2021-12-29",
    "createdBy": "2c9890207c9649c0017c969bc6330002",
    "createdDate": "2021-10-29 19:44:16",
    "customerAcceptanceDate": "2021-12-29",
    "effectiveDate": "2021-12-29",
    "id": "402880e47ccbaca1017ccbdd63c818cb",
    "name": "update",
    "serviceActivationDate": "2021-12-29",
    "type": "UpdateProduct",
    "updatedBy": "2c9890207c9649c0017c969bc6330002",
    "updatedDate": "2021-10-29 19:44:16"
  },
  "id": "402880e47ccbaca1017ccbdd63aa18c8",
  "lastChangeType": "Update",
  "order": {
    "id": "402880e47ccbaca1017ccbdd7b0e18fd",
    "orderActions": [
      {
        "id": "402880e47ccbaca1017ccbdd7b1418ff",
        "type": "UpdateProduct",
        "updateProduct": {
          "chargeUpdates": [],
          "customFields": {},
          "newRatePlanId": "402880e47ccbaca1017ccbdd63aa18c8",
          "ratePlanId": "402880e47ccbaca1017ccbdd620818ba",
          "productRatePlanId": "2c9890207c9649c0017c96a0f11001a4"
        },
        "contractEffectiveDate": "2021-12-29",
        "customerAcceptanceDate": "2021-12-29",
        "serviceActivationDate": "2021-12-29"
      }
    ],
    "orderNumber": "O-00000037"
  },
  "productId": "2c9890207c9649c0017c96a0588201a2",
  "productName": "MMORPG game",
  "productRatePlanId": "2c9890207c9649c0017c96a0f11001a4",
  "productSku": "SKU-00000001",
  "ratePlanName": "Rate Plan 1",
  "subscriptionId": "402880e47ccbaca1017ccbdd644d18d0",
  "subscriptionVersion": 5
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/rateplans/ratePlanId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/rateplans/ratePlanId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/rateplans/ratePlanId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/rateplans/ratePlanId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/rateplans/ratePlanId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/rateplans/ratePlanId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/rateplans/ratePlanId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/rateplans/ratePlanId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```